checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
---
2
2
SHA1:
3
- metadata.gz: a05cd1d0cfb99a9c589e2391c72e0bcaee288b79
4
- data.tar.gz: 07f9f4d3f9c28183943f862e86de86a23fe20973
3
+ metadata.gz: 85992d6c84c4a2eb7ce2289bda93774671f57cff
4
+ data.tar.gz: a8d2c33903b5c16644d03cfa4d02a37d18d699f0
5
5
SHA512:
6
- metadata.gz: d90b1a7ded62d71cb8f6916bef48806933c729173d09a0fe2a4feeb7b4727bfb7a2bf70ae1c98de59552ab0bf2f920ce33159afa25b84ee57719e3b3e20d851d
7
- data.tar.gz: f4d2809141d684bad9585fdc8bdaeeec6f0aee0b632c9160fde0326b696e7ae327e579169214486c0b7efd072c73530193a52606d747a16f04d0837c362cd167
6
+ metadata.gz: '08e8713b7e61aba0941842e8a500f31b9e41aca26494431ed4fca4204959d489aba934fdbe3244afafac11286561f86cad58cddb44e5a30ad15dd1b9268049d1'
7
+ data.tar.gz: d7ce181e14215b2a2ffaa7821690d0bdec67c92a377f767dfaa8bd4ea7e146a605a349c4a465f6cc147195e80517771daebbf31208883051448004ba074c840d
data/README.md CHANGED
@@ -16,6 +16,8 @@ gem "rubocop-springest"
16
16
**.rubocop.yml**
17
17
18
18
``` yaml
19
+ require: rubocop-performance
20
+
19
21
inherit_gem:
20
22
rubocop-springest:
21
23
- config/default.yml
data/config/default.yml CHANGED
@@ -1,4 +1,6 @@
1
- require: rubocop/cop/github
1
+ require:
2
+ - rubocop-rails
3
+ - rubocop/cop/github
2
4
3
5
AllCops:
4
6
DisabledByDefault: true
data/config/rails.yml CHANGED
@@ -1,4 +1,22 @@
1
1
Rails:
2
+ DisableByDefault: true
3
+
4
+ Rails/Present:
5
+ Enabled: true
6
+
7
+ Rails/Blank:
8
+ Enabled: true
9
+
10
+ Rails/ActiveRecordAliases:
11
+ Enabled: true
12
+
13
+ Rails/DynamicFindBy:
14
+ Enabled: true
15
+
16
+ Rails/IgnoredSkipActionFilterOption:
17
+ Enabled: true
18
+
19
+ Rails/Validation:
2
20
Enabled: true
3
21
4
22
Rails/FindEach:
metadata CHANGED
@@ -1,43 +1,57 @@
1
1
--- !ruby/object:Gem::Specification
2
2
name: rubocop-springest
3
3
version: !ruby/object:Gem::Version
4
- version: 0.6.7
4
+ version: 0.6.8
5
5
platform: ruby
6
6
authors:
7
7
- Mark Mulder
8
8
autorequire:
9
9
bindir: bin
10
10
cert_chain: []
11
- date: 2019-05-06 00:00:00.000000000 Z
11
+ date: 2019-07-08 00:00:00.000000000 Z
12
12
dependencies:
13
13
- !ruby/object:Gem::Dependency
14
14
name: rubocop
15
15
requirement: !ruby/object:Gem::Requirement
16
16
requirements:
17
+ - - ">="
18
+ - !ruby/object:Gem::Version
19
+ version: '0'
20
+ type: :runtime
21
+ prerelease: false
22
+ version_requirements: !ruby/object:Gem::Requirement
23
+ requirements:
24
+ - - ">="
25
+ - !ruby/object:Gem::Version
26
+ version: '0'
27
+ - !ruby/object:Gem::Dependency
28
+ name: rubocop-rails
29
+ requirement: !ruby/object:Gem::Requirement
30
+ requirements:
17
31
- - "~>"
18
32
- !ruby/object:Gem::Version
19
- version: '0.51'
33
+ version: '2.2'
20
34
type: :runtime
21
35
prerelease: false
22
36
version_requirements: !ruby/object:Gem::Requirement
23
37
requirements:
24
38
- - "~>"
25
39
- !ruby/object:Gem::Version
26
- version: '0.51'
40
+ version: '2.2'
27
41
- !ruby/object:Gem::Dependency
28
42
name: rubocop-performance
29
43
requirement: !ruby/object:Gem::Requirement
30
44
requirements:
31
- - - ">="
45
+ - - "~>"
32
46
- !ruby/object:Gem::Version
33
- version: '0'
47
+ version: '1.4'
34
48
type: :runtime
35
49
prerelease: false
36
50
version_requirements: !ruby/object:Gem::Requirement
37
51
requirements:
38
- - - ">="
52
+ - - "~>"
39
53
- !ruby/object:Gem::Version
40
- version: '0'
54
+ version: '1.4'
41
55
- !ruby/object:Gem::Dependency
42
56
name: actionview
43
57
requirement: !ruby/object:Gem::Requirement